﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;

public partial class TelerikWebForm1 : System.Web.UI.Page 
{
    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        RadScheduler1.Provider = new XmlSchedulerProvider(Server.MapPath("~/App_Data/Appointments.xml"), true);
       
    }


    protected void RadScheduler1_TimeSlotCreated(object sender, TimeSlotCreatedEventArgs e)
    {
        if (e.TimeSlot.Appointments.Count > 0)
        {
            //check whether there is an appointment scheduled for a week before that date
            DateTime lastDay = e.TimeSlot.Start.AddDays(-7);
            IList<Appointment> app = RadScheduler1.Appointments.GetAppointmentsInRange(lastDay, lastDay.AddDays(1));
            if (app.Count > 0)
            {
                app[0].BackColor = System.Drawing.Color.Red;
                e.TimeSlot.Appointments[0].BackColor = System.Drawing.Color.Blue;
            }
        }
    }
    
}
